"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApiError = exports.ApiTypeError = void 0;
class ApiTypeError extends Error {
    constructor(type, msg, stack, reqId, displayMsg) {
        super(msg);
        this.type = type;
        this.displayMsg = displayMsg !== null && displayMsg !== void 0 ? displayMsg : msg;
        if (stack) {
            this.stack = stack;
        }
        if (reqId) {
            this.reqId = reqId;
        }
    }
}
exports.ApiTypeError = ApiTypeError;
class ApiError extends Error {
    constructor({ type, message, stack, reqId, displayMsg, code }) {
        super(message);
        this.type = type;
        if (stack) {
            this.stack = stack;
        }
        if (reqId) {
            this.reqId = reqId;
        }
        if (code) {
            this.code = code;
        }
        this.displayMsg = displayMsg !== null && displayMsg !== void 0 ? displayMsg : message;
        return this;
    }
}
exports.ApiError = ApiError;
