"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeUndefined = exports.pascalCaseProperty = exports.pascalCase = void 0;
const _ = require("lodash");
function pascalCase(str) {
    return _.startCase(_.camelCase(str)).replace(/ /g, '');
}
exports.pascalCase = pascalCase;
function pascalCaseProperty(obj) {
    let res = {};
    if (_.isObject(obj)) {
        res = {};
        Object.keys(obj).forEach((key) => {
            const val = obj[key];
            const k = pascalCase(key);
            res[k] = _.isObject(val) || _.isArray(val) ? pascalCaseProperty(val) : val;
        });
    }
    if (_.isArray(obj)) {
        res = [];
        obj.forEach((item) => {
            res.push(_.isObject(item) || _.isArray(item) ? pascalCaseProperty(item) : item);
        });
    }
    return res;
}
exports.pascalCaseProperty = pascalCaseProperty;
function removeUndefined(obj) {
    return JSON.parse(JSON.stringify(obj));
}
exports.removeUndefined = removeUndefined;
