import { pascalCase, pascalCaseProperty } from '../src';

describe('Common', () => {
  test('pascalCase', () => {
    expect(pascalCase('helloWorld')).toBe('HelloWorld');
    expect(pascalCase('hello_World')).toBe('HelloWorld');

    expect(pascalCase('hello_world_my_friend')).toBe('HelloWorldMyFriend');
  });

  test('pascalCaseProps', () => {
    expect(
      pascalCaseProperty({
        hello: 'hello',
        world: 'world',
        deep: {
          deep: 'deep',
        },
      }),
    ).toEqual({
      Hello: 'hello',
      World: 'world',
      Deep: {
        Deep: 'deep',
      },
    });
  });

  test('deepClone', () => {
    const a = { a: { b: { c: { d: 'e' } } } };
    expect(a).not.toBe({ a: { b: { c: { d: 'e' } } } });
    expect(a).toEqual({ a: { b: { c: { d: 'e' } } } });
  });

  test('removeUndefined', () => {
    const a = { a: { b: { c: { d: undefined } } } };
    expect(a).toEqual({ a: { b: { c: {} } } });
  });
});
